
void ProcessDialogEvent()
{
	ref NPChar;
	aref Link, NextDiag;

	DeleteAttribute(&Dialog,"Links");

	makeref(NPChar,CharacterRef);
	makearef(Link, Dialog.Links);
	makearef(NextDiag, NPChar.Dialog);
	
	switch(Dialog.CurrentNode)
	{
		case "First time":
			dialog.text = "Nie mamy o czym rozmawiać.";
			link.l1 = "Skoro tak mówisz.";
			link.l1.go = "exit";
			
			NextDiag.TempNode = "First time";
		break;

		case "Smuggler_offer":
			dialog.text = "Kapitanie, słyszałem, że posiadasz pod pokładem, pewne niezbyt legalne dobra, którymi nasze bractwo przemytnicze może być zainteresowane.\nJeśli chcesz się ich pozbyć za odpowiednio wysoką sumkę, płyń do najbliższej, niezamieszkanej wysepki i skontaktuj się z załogą statku przemytniczego, który tam się znajduje.";
			link.l1 = "Może kiedyś skorzystam z twojej rady.";
			link.l1.go = "exit";
			NextDiag.TempNode = "Smuggler_offer";
		break;


		case "Smuggler_tutorial":
			dialog.text = "Hej, kapitanie. Chcesz posłuchać o nowym sposobie na robienie interesów? To może być niebezpieczne dla twojej reputacji, a nawet życia, ale ta zyskowność...";
			link.l1 = "Czemu nie, mów dalej.";
			link.l1.go = "Smuggler_tutorial1";
			link.l2 = "Nie teraz.";
			link.l2.go = "exit";
			NextDiag.TempNode = "Smuggler_tutorial";
		break;

		case "Smuggler_tutorial1":
			dialog.text = "Zatem słuchaj, opowiem ci wszystko, co wiem na temat kontrabandy.\nNa niektórych ze zdobytych statków znajdziesz przemycane towary - wielu kapitanów weszło w ten szacowny interes. Jeśli wejdziesz w posiadanie takiego towaru, płyń prosto na jedną z niezamieszkanych wysepek i skontaktuj się z załogą statku, który tam się znajduje.\nPorozmawiaj i wymień towary na solidną ilość gotówki.";
			link.l1 = "Dzięki za radę.";
			link.l1.go = "Smuggler_tutorial_exit";			
			NextDiag.TempNode = "First time";
		break;

		case "Smuggler_nothing":
			dialog.text = "Nie sądzę, bym mógł coś dla ciebie zrobić, kapitanie... Żaden z twoich towarów nie budzi mojego zainteresowania.";
			link.l1 = "Zatem żegnam.";
			link.l1.go = "exit";
			NextDiag.TempNode = "First time";
		break;

		case "Smuggler_tutorial_exit":
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
			CompleteSmugglerTutorial(npchar);
		break;

		case "Exit":
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
		break;
	}
}
